/usr/share/quilt/delete is in quilt 0.63-8.2.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 136 137 138 139 140 141 142 143 | #! /bin/bash
# This script is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2 as
# published by the Free Software Foundation.
#
# See the COPYING and AUTHORS files for more details.
# Read in library functions
if [ "$(type -t patch_file_name)" != function ]
then
if ! [ -r $QUILT_DIR/scripts/patchfns ]
then
echo "Cannot read library $QUILT_DIR/scripts/patchfns" >&2
exit 1
fi
. $QUILT_DIR/scripts/patchfns
fi
usage()
{
printf $"Usage: quilt delete [-r] [--backup] [patch|-n]\n"
if [ x$1 = x-h ]
then
printf $"
Remove the specified or topmost patch from the series file. If the
patch is applied, quilt will attempt to remove it first. (Only the
topmost patch can be removed right now.)
-n Delete the next patch after topmost, rather than the specified
or topmost patch.
-r Remove the deleted patch file from the patches directory as well.
--backup
Rename the patch file to patch~ rather than deleting it.
Ignored if not used with \`-r'.
"
exit 0
else
exit 1
fi
}
options=`getopt -o nrh --long backup -- "$@"`
if [ $? -ne 0 ]
then
usage
fi
eval set -- "$options"
while true
do
case "$1" in
-n)
opt_next=1
shift ;;
-r)
opt_remove=1
shift ;;
-h)
usage -h ;;
--backup)
QUILT_BACKUP=1
shift ;;
--)
shift
break ;;
esac
done
if [ $# -gt 1 -o \( -n "$opt_next" -a $# -gt 0 \) ]
then
usage
fi
if [ -n "$1" ]; then
patch=$(find_patch "$1") || exit 1
else
patch=$(top_patch)
fi
if [ -n "$opt_next" ]
then
if ! patch=$(patch_after "$patch")
then
printf $"No next patch\n" >&2
exit 1
fi
fi
if [ -z "$patch" ]
then
# find_top_patch will display the proper error message for us
find_top_patch > /dev/null
exit 1
fi
if is_applied "$patch"; then
if [ "$patch" != "$(top_patch)" ]
then
printf $"Patch %s is currently applied\n" \
"$(print_patch "$patch")" >&2
exit 1
fi
if ! quilt_command pop -fq
then
exit 1
fi
fi
if remove_from_series "$patch"
then
printf $"Removed patch %s\n" "$(print_patch "$patch")"
else
printf $"Failed to remove patch %s\n" "$(print_patch "$patch")" >&2
exit 1
fi
patch_file=$(patch_file_name "$patch")
if [ "$opt_remove" -a -e "$patch_file" ]
then
if [ "$QUILT_BACKUP" ]
then
if ! mv -f "$patch_file" "$patch_file~"
then
printf $"Failed to backup patch file %s\n" \
"$patch_file" >&2
exit 1
fi
else
if ! rm -f "$patch_file"
then
printf $"Failed to remove patch file %s\n" \
"$patch_file" >&2
exit 1
fi
fi
fi
### Local Variables:
### mode: shell-script
### End:
# vim:filetype=sh
|